POST api/pcapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "4e27695e-68f6-4d25-857c-3c7597f86ae9",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "c16543f3-272f-48ef-847d-a5be205918ee",
"local_ip": "sample string 7",
"lock_id": "8f5a06ee-6402-4cfa-8a4d-0c1e933f7169",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "726235e6-3f3d-4afe-8900-45de852f41ef",
"rights": [
{
"code": "sample string 1",
"id": "fe1ccea3-e7d4-4019-a902-4d745f1cff30"
},
{
"code": "sample string 1",
"id": "fe1ccea3-e7d4-4019-a902-4d745f1cff30"
}
],
"site_id": "57ec8398-4dea-4b0b-b8ef-2406e156280e",
"zone_id": "56d8140b-bdd8-4ffb-9414-aeaffe600512"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>4e27695e-68f6-4d25-857c-3c7597f86ae9</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>c16543f3-272f-48ef-847d-a5be205918ee</id>
<local_ip>sample string 7</local_ip>
<lock_id>8f5a06ee-6402-4cfa-8a4d-0c1e933f7169</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>726235e6-3f3d-4afe-8900-45de852f41ef</pc_type_id>
<rights>
<right>
<ID>fe1ccea3-e7d4-4019-a902-4d745f1cff30</ID>
<code>sample string 1</code>
</right>
<right>
<ID>fe1ccea3-e7d4-4019-a902-4d745f1cff30</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>57ec8398-4dea-4b0b-b8ef-2406e156280e</site_id>
<zone_id>56d8140b-bdd8-4ffb-9414-aeaffe600512</zone_id>
</pc>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"70506976-adb5-4ee2-87b3-ef16799fd806"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">70506976-adb5-4ee2-87b3-ef16799fd806</guid>